Bug 23607 - rp3-config/rp3/kppp won't work when vgetty is running
Summary: rp3-config/rp3/kppp won't work when vgetty is running
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mgetty   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-08 18:45 UTC by Benjamin Drasin
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version: mgetty-1.1.33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-01 19:05:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Benjamin Drasin 2001-01-08 18:45:35 UTC
I recently purchased RedHat Linux 7 for the purpose of upgrading my RH 
6.1 box. I installed the new operating system on a new partition of a new 
hard disk.  I am accustomed to using vgetty as an answering machine and 
using kppp to dial up.  I have been unable to use either rp3 or kppp while 
vgetty is running, although this never was a problem with RH 6.1 (or 5.2 
before that).  I _can_ use minicom even when vgetty is running to dial 
numbers, but when I run rp3-config debug, the console reads:
WvDial: Internet dialer version 1.41 
Initializing modem. 
Sending: ATZ 
Modem not responding. 
ERROR: Unable to initialize modem

(kppp has a similar although slightly different error)

I worked around this by writing a script to edit vgetty out of inittab, 
then run init q, then run kppp, then re-edit inittab to put vgetty back in 
after kppp exits, and run init q again. It seems to work...although there 
ought to be a better way...and it must be run as root...

Comment 1 Jason Vas Dias 2005-08-01 19:05:24 UTC
Sorry for the long delay in processing this bug report - it slipped through
the cracks somehow.
This issue should definitely be fixed in all current Red Hat mgetty releases -
mgetty now only locks the modem device when it is actually handling a dial-in
call .


Note You need to log in before you can comment on or make changes to this bug.